import GppCompiler from "../Compiler/GppCompiler";
import SourceFiles from "./interface/SourceFiles";
import Project from "./Project";

export default class CppProject implements Project , SourceFiles {
    name: string;
    compiler: GppCompiler;
    sourceFiles: string[]=[];

    constructor(name:string)
    constructor(name:string,compiler:GppCompiler)

    constructor(name:string,compiler?:GppCompiler){
        if(compiler){
            this.compiler=compiler
        }else{
            this.compiler=new GppCompiler()
        }
        this.name=name
    }
}